Currently cppunit depends on graphviz, and conditionally (USE=doc) depends on
doxygen; however, the --enable-dot flag for cppunit's ./configure causes
cppunit to tell doxygen to use dot. So the dependency on graphviz should be
conditional on doc also.
A proposed patch for the situation:
-----------------------------------
--- cppunit-1.10.2.ebuild 2006-03-10 12:13:42.000000000 -0500
+++ cppunit-1.10.2-r1.ebuild 2006-03-10 12:00:49.000000000 -0500
@@ -14,8 +14,8 @@
IUSE="doc"
RESTRICT="test"
-DEPEND="doc? ( app-doc/doxygen )
- media-gfx/graphviz"
+DEPEND="doc? ( app-doc/doxygen
+ media-gfx/graphviz )"
src_unpack() {
unpack ${A}
@@ -24,7 +24,10 @@
}
src_compile() {
- econf $(use_enable doc doxygen) || die "configure failed"
+ econf \
+ $(use_enable doc doxygen) \
+ $(use enable doc dot) \
+ || die "configure failed"
emake || die
}